
singleton Material(super)
{
   mapTo = "super";
   diffuseMap[2] = "vehicles/DSC_FT40Rocket/superrocket_c.dds";
   specularMap[2] = "vehicles/DSC_FT40Rocket/superrocket_s.dds";
   normalMap[2] = "vehicles/DSC_FT40Rocket/superrocket_n.dds";
   diffuseMap[1] = "vehicles/DSC_FT40Rocket/superrocket_d.dds";
   specularMap[1] = "vehicles/DSC_FT40Rocket/superrocket_s.dds";
   normalMap[1] = "vehicles/DSC_FT40Rocket/superrocket_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/DSC_FT40Rocket/superrocket_n.dds";
   //diffuseMap[3] = "vehicles/DSC_FT40Rocket/superrocket_dirt.dds";
   //normalMap[3] = "vehicles/DSC_FT40Rocket/superrocket_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "0 0 0 1";
   diffuseColor[1] = "0 0 0 1";
   diffuseColor[2] = "1 .3 0 1.5";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "0 0 0 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(super_glass)
{
   mapTo = "super_glass";
   diffuseMap[0] = "vehicles/DSC_FT40Rocket/superrocket_glass_d.dds";
   specularMap[0] = "vehicles/DSC_FT40Rocket/superrocket_glass_s.dds";
   diffuseMap[1] = "vehicles/DSC_FT40Rocket/superrocket_glass_da.dds";
   specularMap[1] = "vehicles/DSC_FT40Rocket/superrocket_glass_s.dds";
   //diffuseMap[2] = "vehicles/DSC_FT40Rocket/superrocket_glass_dirt.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(super_glass_dmg)
{
   mapTo = "super_glass_dmg";
   diffuseMap[0] = "vehicles/DSC_FT40Rocket/superrocket_glass_dmg_d.dds";
   specularMap[0] = "vehicles/common/glass_dmg_s.dds";
   normalMap[0] = "vehicles/common/glass_dmg_n.dds";
   //diffuseMap[2] = "vehicles/DSC_FT40Rocket/superrocket_glass_dirt.dds";
   specularPower[0] = "32";
   diffuseColor[0] = "1.5 1.5 1.5 1";
   useAnisotropic[0] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(super_gauges)
{
   mapTo = "super_gauges";
   diffuseMap[0] = "superrocket_gauges_d.dds";
   specularMap[0] = "superrocket_gauges_s.dds";
   normalMap[0] = "superrocket_gauges_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "1 1 1 1";
};

singleton Material(super_gauges_on)
{
   mapTo = "super_gauges_on";
   diffuseMap[1] = "superrocket_gauges_d.dds";
   specularMap[1] = "superrocket_gauges_s.dds";
   normalMap[1] = "superrocket_gauges_n.dds";
   diffuseMap[0] = "superrocket_gauges_d.dds";
   specularMap[0] = "superrocket_gauges_s.dds";
   normalMap[0] = "superrocket_gauges_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   glow[1] = "1";
   emissive[1] = "1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 0.2";
};

singleton Material(super_interior)
{
   mapTo = "super_interior";
   diffuseMap[0] = "superrocket_interior_d.dds";
   normalMap[0] = "superrocket_interior_n.dds";
   specularPower[0] = "12";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   specularMap[0] = "superrocket_interior_s.dds";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.8 0.8 0.8 1";
};

singleton Material(super_lights)
{
   mapTo = "super_lights";
   diffuseMap[1] = "vehicles/DSC_FT40Rocket/superrocket_lights_d.dds";
   specularMap[1] = "vehicles/DSC_FT40Rocket/superrocket_lights_s.dds";
   normalMap[1] = "vehicles/DSC_FT40Rocket/superrocket_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/DSC_FT40Rocket/superrocket_lights_n.dds";
   //diffuseMap[2] = "vehicles/DSC_FT40Rocket/superrocket_lights_dirt.dds";
   //normalMap[2] = "vehicles/DSC_FT40Rocket/superrocket_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(super_lights_on)
{
   mapTo = "super_lights_on";
   diffuseMap[2] = "vehicles/DSC_FT40Rocket/superrocket_lights_g.dds";
   specularMap[2] = "vehicles/DSC_FT40Rocket/superrocket_lights_s.dds";
   normalMap[2] = "vehicles/DSC_FT40Rocket/superrocket_lights_n.dds";
   diffuseMap[1] = "vehicles/DSC_FT40Rocket/superrocket_lights_d.dds";
   specularMap[1] = "vehicles/DSC_FT40Rocket/superrocket_lights_s.dds";
   normalMap[1] = "vehicles/DSC_FT40Rocket/superrocket_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/DSC_FT40Rocket/superrocket_lights_n.dds";
   //diffuseMap[3] = "vehicles/DSC_FT40Rocket/superrocket_lights_dirt.dds";
   //normalMap[3] = "vehicles/DSC_FT40Rocket/superrocket_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.12";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(super_lights_on_intense)
{
   mapTo = "super_lights_on_intense";
   diffuseMap[2] = "vehicles/DSC_FT40Rocket/superrocket_lights_g.dds";
   specularMap[2] = "vehicles/DSC_FT40Rocket/superrocket_lights_s.dds";
   normalMap[2] = "vehicles/DSC_FT40Rocket/superrocket_lights_n.dds";
   diffuseMap[1] = "vehicles/DSC_FT40Rocket/superrocket_lights_d.dds";
   specularMap[1] = "vehicles/DSC_FT40Rocket/superrocket_lights_s.dds";
   normalMap[1] = "vehicles/DSC_FT40Rocket/superrocket_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/DSC_FT40Rocket/superrocket_lights_n.dds";
   //diffuseMap[3] = "vehicles/DSC_FT40Rocket/superrocket_lights_dirt.dds";
   //normalMap[3] = "vehicles/DSC_FT40Rocket/superrocket_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.20";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(super_lights_dmg)
{
   mapTo = "super_lights_dmg";
   diffuseMap[1] = "vehicles/DSC_FT40Rocket/superrocket_lights_dmg_d.dds";
   specularMap[1] = "vehicles/DSC_FT40Rocket/superrocket_lights_dmg_s.dds";
   normalMap[1] = "vehicles/DSC_FT40Rocket/superrocket_lights_dmg_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/DSC_FT40Rocket/superrocket_lights_dmg_n.dds";
   //diffuseMap[2] = "vehicles/DSC_FT40Rocket/superrocket_lights_dirt.dds";
   //normalMap[2] = "vehicles/DSC_FT40Rocket/superrocket_lights_dmg_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(super_signal_L)
{
   mapTo = "super_signal_L";
};

singleton Material(super_signal_R)
{
   mapTo = "super_signal_R";
};

singleton Material(super_brakelight)
{
   mapTo = "super_brakelight";
};

singleton Material(super_parkinglight)
{
   mapTo = "super_parkinglight";
};

singleton Material(super_headlight)
{
   mapTo = "super_headlight";
};

singleton Material(super_reverselight)
{
   mapTo = "super_reverselight";
};

singleton Material(FT40_Grey)
{
   mapTo = "Grey";
   diffuseMap[2] = "vehicles/DSC_FT40Rocket/superrocket_c.dds";
   specularMap[2] = "vehicles/DSC_FT40Rocket/superrocket_s.dds";
   normalMap[2] = "vehicles/DSC_FT40Rocket/superrocket_n.dds";
   diffuseMap[1] = "vehicles/DSC_FT40Rocket/superrocket_d.dds";
   specularMap[1] = "vehicles/DSC_FT40Rocket/superrocket_s.dds";
   normalMap[1] = "vehicles/DSC_FT40Rocket/superrocket_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/DSC_FT40Rocket/superrocket_n.dds";
   //diffuseMap[3] = "vehicles/DSC_FT40Rocket/superrocket_dirt.dds";
   //normalMap[3] = "vehicles/DSC_FT40Rocket/superrocket_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "0 0 0 1";
   diffuseColor[1] = "0 0 0 1";
   diffuseColor[2] = "1 .3 0 1.5";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "0 0 0 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(FT40_White1)
{
   mapTo = "White1";
   diffuseMap[2] = "vehicles/DSC_FT40Rocket/superrocket_c.dds";
   specularMap[2] = "vehicles/DSC_FT40Rocket/superrocket_s.dds";
   normalMap[2] = "vehicles/DSC_FT40Rocket/superrocket_n.dds";
   diffuseMap[1] = "vehicles/DSC_FT40Rocket/superrocket_d.dds";
   specularMap[1] = "vehicles/DSC_FT40Rocket/superrocket_s.dds";
   normalMap[1] = "vehicles/DSC_FT40Rocket/superrocket_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/DSC_FT40Rocket/superrocket_n.dds";
   //diffuseMap[3] = "vehicles/DSC_FT40Rocket/superrocket_dirt.dds";
   //normalMap[3] = "vehicles/DSC_FT40Rocket/superrocket_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "0 0 0 1";
   diffuseColor[1] = "0 0 0 1";
   diffuseColor[2] = "0.5 0.5 0.5 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "0 0 0 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(FT40_Blackout1)
{
   mapTo = "Blackout1";
   diffuseColor[0] = "0 0 0 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(FT40_ThrustPipe)
{
   mapTo = "ThrustPipe";
   diffuseMap[2] = "vehicles/DSC_FT40Rocket/superrocket_c.dds";
   specularMap[2] = "vehicles/DSC_FT40Rocket/superrocket_s.dds";
   normalMap[2] = "vehicles/DSC_FT40Rocket/superrocket_n.dds";
   diffuseMap[1] = "vehicles/DSC_FT40Rocket/superrocket_d.dds";
   specularMap[1] = "vehicles/DSC_FT40Rocket/superrocket_s.dds";
   normalMap[1] = "vehicles/DSC_FT40Rocket/superrocket_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/DSC_FT40Rocket/superrocket_n.dds";
   //diffuseMap[3] = "vehicles/DSC_FT40Rocket/superrocket_dirt.dds";
   //normalMap[3] = "vehicles/DSC_FT40Rocket/superrocket_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "0 0 0 1";
   diffuseColor[1] = "0 0 0 1";
   diffuseColor[2] = "1 .3 0 1.5";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "0 0 0 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(FT40_Black1)
{
   mapTo = "Black1";
   diffuseMap[2] = "vehicles/DSC_FT40Rocket/superrocket_c.dds";
   specularMap[2] = "vehicles/DSC_FT40Rocket/superrocket_s.dds";
   normalMap[2] = "vehicles/DSC_FT40Rocket/superrocket_n.dds";
   diffuseMap[1] = "vehicles/DSC_FT40Rocket/superrocket_d.dds";
   specularMap[1] = "vehicles/DSC_FT40Rocket/superrocket_s.dds";
   normalMap[1] = "vehicles/DSC_FT40Rocket/superrocket_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/DSC_FT40Rocket/superrocket_n.dds";
   //diffuseMap[3] = "vehicles/DSC_FT40Rocket/superrocket_dirt.dds";
   //normalMap[3] = "vehicles/DSC_FT40Rocket/superrocket_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "0 0 0 1";
   diffuseColor[1] = "0 0 0 1";
   diffuseColor[2] = "0 0 0 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "0 0 0 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(DSC_FT40Rocket_super_headlight_001)
{
   mapTo = "super_headlight_001";
   diffuseColor[0] = "0.07892 0.07892 0.07892 1";
   specular[0] = "50 50 50 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};
